Company logoTrust Center Documentation
API v1 ReferenceCertifications

List certifications

Retrieve all certifications (compliance category documents) for the current tenant with badge and file URLs. Browse request parameters, authentication…

GET
/api/v1/certifications

Retrieve all certifications (compliance category documents) for the current tenant with badge and file URLs.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

search?string

Search certifications by title or description

state?string

Filter by certification state

Value in

  • "valid"
  • "expired"
featured?boolean

Filter by featured status

template?string

Filter by template ID

Formatuuid

Response Body

application/json

curl -X GET "https://example.com/api/v1/certifications?search=ISO+27001&state=valid&featured=true&template=550e8400-e29b-41d4-a716-446655440000"
{  "certifications": [    {      "id": "cert-123",      "title": "ISO 27001 Certificate",      "slug": "iso-27001",      "description": "Information Security Management System",      "state": "valid",      "featured": true,      "issue_date": "2025-01-01",      "expiry_date": "2026-01-01",      "validity_months": 12,      "badge": "https://directus.example.com/assets/badge-456",      "file": "https://directus.example.com/assets/file-789",      "category": {        "title": "Compliance"      }    }  ]}

How is this guide?